# cMerchantSign Class Reference

Inheritance diagram for cMerchantSign:

List of all members.

## Public Member Functions

| cMerchantSign (DWORD dwGUID, cLocation &Loc, DWORD dwModel, float flScale, BOOL fSolid, DWORD dwIcon, std::string strName, std::string strDescription, DWORD dwWeight, DWORD dwValue, BOOL fSelectable=TRUE, BOOL fEquippable=TRUE, BOOL fStackable=FALSE, BOOL fIsOwned=FALSE, DWORD dwContainer=0)
cMessage | CreatePacket ()
cMessage | Animation (WORD wAnim, float flPlaySpeed)
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
DWORD | GetWorldObject ()
void | SetObjectType (int ot)
int | GetObjectType ()

## Protected Attributes

int | iObjectType
DWORD | m_dwWOModelID
DWORD | m_dwWeight
DWORD | m_dwValue
BOOL | m_fIsStackable
BOOL | m_fEquippable
BOOL | m_fIsSolid
std::string | m_strDescription

## Constructor & Destructor Documentation

cMerchantSign::cMerchantSign | ( | DWORD | dwGUID,
|  | cLocation & | Loc,
|  | DWORD | dwModel,
|  | float | flScale,
|  | BOOL | fSolid,
|  | DWORD | dwIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwWeight,
|  | DWORD | dwValue,
|  | BOOL | fSelectable = `TRUE`,
|  | BOOL | fEquippable = `TRUE`,
|  | BOOL | fStackable = `FALSE`,
|  | BOOL | fIsOwned = `FALSE`,
|  | DWORD | dwContainer = `0` |
| ) |  |  | `[inline]`

A constructor.

Called whenever a merchant sign object is initialized.

## Member Function Documentation

void cMerchantSign::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of merchant sign objects.

This function is called whenever a merchant sign is used or should perform an action.

Implements cObject.

void cMerchantSign::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of merchant sign objects.

This function is called whenever a merchant sign is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cMerchantSign::CreatePacket | ( |  | ) | `[virtual]`

Handles the creation of merchant signs.

Called whenever a merchant sign object should be initialized.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cMerchantSign.cpp
- E:/uas2/Server/world_object2.cpp